import { Version, NgModule } from '@angular/core';
import { AccordionModule } from 'ngx-weui/accordion';
export { AccordionComponent, AccordionConfig, AccordionModule, AccordionPanelComponent } from 'ngx-weui/accordion';
import { ActionSheetModule } from 'ngx-weui/actionsheet';
export { ActionSheetComponent, ActionSheetConfig, ActionSheetModule, ActionSheetService } from 'ngx-weui/actionsheet';
import { ButtonModule } from 'ngx-weui/button';
export { ButtonComponent, ButtonConfig, ButtonIconComponent, ButtonModule } from 'ngx-weui/button';
import { CellModule } from 'ngx-weui/cell';
export { CellModule, SwipeDirective } from 'ngx-weui/cell';
import { ChartG2Module } from 'ngx-weui/chart-g2';
export { ChartG2Directive, ChartG2Module } from 'ngx-weui/chart-g2';
import { DialogModule } from 'ngx-weui/dialog';
export { DialogComponent, DialogConfig, DialogModule, DialogService } from 'ngx-weui/dialog';
import { FormModule } from 'ngx-weui/form';
export { ChecklistDirective, FormModule, InputDirective, TextareaDirective, VCodeDirective } from 'ngx-weui/form';
import { GalleryModule } from 'ngx-weui/gallery';
export { GalleryComponent, GalleryModule } from 'ngx-weui/gallery';
import { InfiniteLoaderModule } from 'ngx-weui/infiniteloader';
export { InfiniteLoaderComponent, InfiniteLoaderConfig, InfiniteLoaderModule } from 'ngx-weui/infiniteloader';
import { JWeiXinModule } from 'ngx-weui/jweixin';
export { JWeiXinModule, JWeiXinService } from 'ngx-weui/jweixin';
import { LoadmoreModule } from 'ngx-weui/loadmore';
export { LoadmoreComponent, LoadmoreConfig, LoadmoreModule } from 'ngx-weui/loadmore';
import { MaskModule } from 'ngx-weui/mask';
export { MaskComponent, MaskModule } from 'ngx-weui/mask';
import { PaginationModule } from 'ngx-weui/pagination';
export { PaginationComponent, PaginationConfig, PaginationModule } from 'ngx-weui/pagination';
import { PickerModule } from 'ngx-weui/picker';
export { CityPickerComponent, DatePickerComponent, FORMAT, PickerComponent, PickerConfig, PickerGroupComponent, PickerModule, PickerService } from 'ngx-weui/picker';
import { PopupModule } from 'ngx-weui/popup';
export { PopupComponent, PopupConfig, PopupModule } from 'ngx-weui/popup';
import { ProgressModule } from 'ngx-weui/progress';
export { ProgressComponent, ProgressModule } from 'ngx-weui/progress';
import { PTRModule } from 'ngx-weui/ptr';
export { PTRComponent, PTRConfig, PTRModule } from 'ngx-weui/ptr';
import { RatingModule } from 'ngx-weui/rating';
export { RatingComponent, RatingConfig, RatingModule } from 'ngx-weui/rating';
import { SearchBarModule } from 'ngx-weui/searchbar';
export { SearchBarComponent, SearchBarConfig, SearchBarModule } from 'ngx-weui/searchbar';
import { SidebarModule } from 'ngx-weui/sidebar';
export { CloseSidebarDirective, SidebarComponent, SidebarConfig, SidebarContainerComponent, SidebarModule, SidebarService } from 'ngx-weui/sidebar';
import { SliderModule } from 'ngx-weui/slider';
export { SliderDirective, SliderModule } from 'ngx-weui/slider';
import { StepperModule } from 'ngx-weui/stepper';
export { StepperComponent, StepperModule } from 'ngx-weui/stepper';
import { SwiperModule } from 'ngx-weui/swiper';
export { SwiperComponent, SwiperConfig, SwiperModule } from 'ngx-weui/swiper';
import { TabModule } from 'ngx-weui/tab';
export { BarComponent, NavbarComponent, TabDirective, TabModule, TabbarComponent } from 'ngx-weui/tab';
import { ToastModule } from 'ngx-weui/toast';
export { ToastComponent, ToastConfig, ToastModule, ToastService } from 'ngx-weui/toast';
import { ToptipsModule } from 'ngx-weui/toptips';
export { ToptipsComponent, ToptipsModule, ToptipsService } from 'ngx-weui/toptips';
import { UploaderModule } from 'ngx-weui/uploader';
export { FileItem, FileLikeObject, FileThumbDirective, FileType, Uploader, UploaderConfig, UploaderFileDirective, UploaderModule } from 'ngx-weui/uploader';
export { AddOnModule, BaseService, InputBoolean, InputNumber, LoaderService, StringTemplateOutletDirective, UpdateHostClassService, add, findParent, genImageUrl, isAndroid, isEmpty, isIOS, isImage, remove, toBoolean, toNumber } from 'ngx-weui/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var VERSION = new Version('7.1.0-rc.2');

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var WeUiModule = /** @class */ (function () {
    function WeUiModule() {
    }
    WeUiModule.decorators = [
        { type: NgModule, args: [{
                    exports: [
                        CellModule,
                        ButtonModule,
                        FormModule,
                        SliderModule,
                        UploaderModule,
                        ActionSheetModule,
                        DialogModule,
                        LoadmoreModule,
                        ProgressModule,
                        GalleryModule,
                        PickerModule,
                        SearchBarModule,
                        TabModule,
                        ToastModule,
                        ToptipsModule,
                        PopupModule,
                        PTRModule,
                        InfiniteLoaderModule,
                        SidebarModule,
                        SwiperModule,
                        ChartG2Module,
                        JWeiXinModule,
                        AccordionModule,
                        MaskModule,
                        RatingModule,
                        StepperModule,
                        PaginationModule,
                    ],
                },] }
    ];
    return WeUiModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { VERSION, WeUiModule };
//# sourceMappingURL=ngx-weui.js.map
