import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { InfiniteLoaderConfig } from './infiniteloader.config';
export declare class InfiniteLoaderComponent implements OnInit, OnDestroy {
    private el;
    private DEF;
    private didScroll;
    private scrollEvent;
    private scrollTime;
    private disposeScroller;
    _loading: boolean;
    _finished: boolean;
    private _config;
    config: InfiniteLoaderConfig;
    readonly loadmore: EventEmitter<InfiniteLoaderComponent>;
    constructor(el: ElementRef<HTMLElement>, DEF: InfiniteLoaderConfig);
    /** 设置本次加载完成 */
    resolveLoading(): void;
    /** 设置结束 */
    setFinished(): void;
    /** 设置重新开始 */
    restart(): void;
    _onScroll(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
