import { ChangeDetectorRef, EventEmitter } from '@angular/core';
export declare class ProgressComponent {
    private cdr;
    _value: number;
    /**
     * 默认进度值，取值范围：0-100（单位：%）
     */
    value: number;
    /**
     * 是否允许取消，默认：`true`
     */
    canCancel: boolean;
    /**
     * 取消回调
     */
    readonly cancel: EventEmitter<{}>;
    constructor(cdr: ChangeDetectorRef);
    _onCancel(): boolean;
}
