/**
 * @license ngx-weui(cipchk@qq.com) v7.1.0-rc.2
 * (c) 2018 Cipchk https://github.com/cipchk/ngx-weui
 * License: MIT
 */(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('ngx-weui/accordion'), require('ngx-weui/actionsheet'), require('ngx-weui/button'), require('ngx-weui/cell'), require('ngx-weui/chart-g2'), require('ngx-weui/dialog'), require('ngx-weui/form'), require('ngx-weui/gallery'), require('ngx-weui/infiniteloader'), require('ngx-weui/jweixin'), require('ngx-weui/loadmore'), require('ngx-weui/mask'), require('ngx-weui/pagination'), require('ngx-weui/picker'), require('ngx-weui/popup'), require('ngx-weui/progress'), require('ngx-weui/ptr'), require('ngx-weui/rating'), require('ngx-weui/searchbar'), require('ngx-weui/sidebar'), require('ngx-weui/slider'), require('ngx-weui/stepper'), require('ngx-weui/swiper'), require('ngx-weui/tab'), require('ngx-weui/toast'), require('ngx-weui/toptips'), require('ngx-weui/uploader'), require('ngx-weui/core')) :
    typeof define === 'function' && define.amd ? define('ngx-weui', ['exports', '@angular/core', 'ngx-weui/accordion', 'ngx-weui/actionsheet', 'ngx-weui/button', 'ngx-weui/cell', 'ngx-weui/chart-g2', 'ngx-weui/dialog', 'ngx-weui/form', 'ngx-weui/gallery', 'ngx-weui/infiniteloader', 'ngx-weui/jweixin', 'ngx-weui/loadmore', 'ngx-weui/mask', 'ngx-weui/pagination', 'ngx-weui/picker', 'ngx-weui/popup', 'ngx-weui/progress', 'ngx-weui/ptr', 'ngx-weui/rating', 'ngx-weui/searchbar', 'ngx-weui/sidebar', 'ngx-weui/slider', 'ngx-weui/stepper', 'ngx-weui/swiper', 'ngx-weui/tab', 'ngx-weui/toast', 'ngx-weui/toptips', 'ngx-weui/uploader', 'ngx-weui/core'], factory) :
    (global = global || self, factory(global['ngx-weui'] = {}, global.ng.core, global['ngx-weui'].accordion, global['ngx-weui'].actionsheet, global['ngx-weui'].button, global['ngx-weui'].cell, global['ngx-weui']['chart-g2'], global['ngx-weui'].dialog, global['ngx-weui'].form, global['ngx-weui'].gallery, global['ngx-weui'].infiniteloader, global['ngx-weui'].jweixin, global['ngx-weui'].loadmore, global['ngx-weui'].mask, global['ngx-weui'].pagination, global['ngx-weui'].picker, global['ngx-weui'].popup, global['ngx-weui'].progress, global['ngx-weui'].ptr, global['ngx-weui'].rating, global['ngx-weui'].searchbar, global['ngx-weui'].sidebar, global['ngx-weui'].slider, global['ngx-weui'].stepper, global['ngx-weui'].swiper, global['ngx-weui'].tab, global['ngx-weui'].toast, global['ngx-weui'].toptips, global['ngx-weui'].uploader, global['ngx-weui'].core));
}(this, function (exports, core, accordion, actionsheet, button, cell, chartG2, dialog, form, gallery, infiniteloader, jweixin, loadmore, mask, pagination, picker, popup, progress, ptr, rating, searchbar, sidebar, slider, stepper, swiper, tab, toast, toptips, uploader, core$1) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var VERSION = new core.Version('7.1.0-rc.2');

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var WeUiModule = /** @class */ (function () {
        function WeUiModule() {
        }
        WeUiModule.decorators = [
            { type: core.NgModule, args: [{
                        exports: [
                            cell.CellModule,
                            button.ButtonModule,
                            form.FormModule,
                            slider.SliderModule,
                            uploader.UploaderModule,
                            actionsheet.ActionSheetModule,
                            dialog.DialogModule,
                            loadmore.LoadmoreModule,
                            progress.ProgressModule,
                            gallery.GalleryModule,
                            picker.PickerModule,
                            searchbar.SearchBarModule,
                            tab.TabModule,
                            toast.ToastModule,
                            toptips.ToptipsModule,
                            popup.PopupModule,
                            ptr.PTRModule,
                            infiniteloader.InfiniteLoaderModule,
                            sidebar.SidebarModule,
                            swiper.SwiperModule,
                            chartG2.ChartG2Module,
                            jweixin.JWeiXinModule,
                            accordion.AccordionModule,
                            mask.MaskModule,
                            rating.RatingModule,
                            stepper.StepperModule,
                            pagination.PaginationModule,
                        ],
                    },] }
        ];
        return WeUiModule;
    }());

    Object.defineProperty(exports, 'AccordionComponent', {
        enumerable: true,
        get: function () {
            return accordion.AccordionComponent;
        }
    });
    Object.defineProperty(exports, 'AccordionConfig', {
        enumerable: true,
        get: function () {
            return accordion.AccordionConfig;
        }
    });
    Object.defineProperty(exports, 'AccordionModule', {
        enumerable: true,
        get: function () {
            return accordion.AccordionModule;
        }
    });
    Object.defineProperty(exports, 'AccordionPanelComponent', {
        enumerable: true,
        get: function () {
            return accordion.AccordionPanelComponent;
        }
    });
    Object.defineProperty(exports, 'ActionSheetComponent', {
        enumerable: true,
        get: function () {
            return actionsheet.ActionSheetComponent;
        }
    });
    Object.defineProperty(exports, 'ActionSheetConfig', {
        enumerable: true,
        get: function () {
            return actionsheet.ActionSheetConfig;
        }
    });
    Object.defineProperty(exports, 'ActionSheetModule', {
        enumerable: true,
        get: function () {
            return actionsheet.ActionSheetModule;
        }
    });
    Object.defineProperty(exports, 'ActionSheetService', {
        enumerable: true,
        get: function () {
            return actionsheet.ActionSheetService;
        }
    });
    Object.defineProperty(exports, 'ButtonComponent', {
        enumerable: true,
        get: function () {
            return button.ButtonComponent;
        }
    });
    Object.defineProperty(exports, 'ButtonConfig', {
        enumerable: true,
        get: function () {
            return button.ButtonConfig;
        }
    });
    Object.defineProperty(exports, 'ButtonIconComponent', {
        enumerable: true,
        get: function () {
            return button.ButtonIconComponent;
        }
    });
    Object.defineProperty(exports, 'ButtonModule', {
        enumerable: true,
        get: function () {
            return button.ButtonModule;
        }
    });
    Object.defineProperty(exports, 'CellModule', {
        enumerable: true,
        get: function () {
            return cell.CellModule;
        }
    });
    Object.defineProperty(exports, 'SwipeDirective', {
        enumerable: true,
        get: function () {
            return cell.SwipeDirective;
        }
    });
    Object.defineProperty(exports, 'ChartG2Directive', {
        enumerable: true,
        get: function () {
            return chartG2.ChartG2Directive;
        }
    });
    Object.defineProperty(exports, 'ChartG2Module', {
        enumerable: true,
        get: function () {
            return chartG2.ChartG2Module;
        }
    });
    Object.defineProperty(exports, 'DialogComponent', {
        enumerable: true,
        get: function () {
            return dialog.DialogComponent;
        }
    });
    Object.defineProperty(exports, 'DialogConfig', {
        enumerable: true,
        get: function () {
            return dialog.DialogConfig;
        }
    });
    Object.defineProperty(exports, 'DialogModule', {
        enumerable: true,
        get: function () {
            return dialog.DialogModule;
        }
    });
    Object.defineProperty(exports, 'DialogService', {
        enumerable: true,
        get: function () {
            return dialog.DialogService;
        }
    });
    Object.defineProperty(exports, 'ChecklistDirective', {
        enumerable: true,
        get: function () {
            return form.ChecklistDirective;
        }
    });
    Object.defineProperty(exports, 'FormModule', {
        enumerable: true,
        get: function () {
            return form.FormModule;
        }
    });
    Object.defineProperty(exports, 'InputDirective', {
        enumerable: true,
        get: function () {
            return form.InputDirective;
        }
    });
    Object.defineProperty(exports, 'TextareaDirective', {
        enumerable: true,
        get: function () {
            return form.TextareaDirective;
        }
    });
    Object.defineProperty(exports, 'VCodeDirective', {
        enumerable: true,
        get: function () {
            return form.VCodeDirective;
        }
    });
    Object.defineProperty(exports, 'GalleryComponent', {
        enumerable: true,
        get: function () {
            return gallery.GalleryComponent;
        }
    });
    Object.defineProperty(exports, 'GalleryModule', {
        enumerable: true,
        get: function () {
            return gallery.GalleryModule;
        }
    });
    Object.defineProperty(exports, 'InfiniteLoaderComponent', {
        enumerable: true,
        get: function () {
            return infiniteloader.InfiniteLoaderComponent;
        }
    });
    Object.defineProperty(exports, 'InfiniteLoaderConfig', {
        enumerable: true,
        get: function () {
            return infiniteloader.InfiniteLoaderConfig;
        }
    });
    Object.defineProperty(exports, 'InfiniteLoaderModule', {
        enumerable: true,
        get: function () {
            return infiniteloader.InfiniteLoaderModule;
        }
    });
    Object.defineProperty(exports, 'JWeiXinModule', {
        enumerable: true,
        get: function () {
            return jweixin.JWeiXinModule;
        }
    });
    Object.defineProperty(exports, 'JWeiXinService', {
        enumerable: true,
        get: function () {
            return jweixin.JWeiXinService;
        }
    });
    Object.defineProperty(exports, 'LoadmoreComponent', {
        enumerable: true,
        get: function () {
            return loadmore.LoadmoreComponent;
        }
    });
    Object.defineProperty(exports, 'LoadmoreConfig', {
        enumerable: true,
        get: function () {
            return loadmore.LoadmoreConfig;
        }
    });
    Object.defineProperty(exports, 'LoadmoreModule', {
        enumerable: true,
        get: function () {
            return loadmore.LoadmoreModule;
        }
    });
    Object.defineProperty(exports, 'MaskComponent', {
        enumerable: true,
        get: function () {
            return mask.MaskComponent;
        }
    });
    Object.defineProperty(exports, 'MaskModule', {
        enumerable: true,
        get: function () {
            return mask.MaskModule;
        }
    });
    Object.defineProperty(exports, 'PaginationComponent', {
        enumerable: true,
        get: function () {
            return pagination.PaginationComponent;
        }
    });
    Object.defineProperty(exports, 'PaginationConfig', {
        enumerable: true,
        get: function () {
            return pagination.PaginationConfig;
        }
    });
    Object.defineProperty(exports, 'PaginationModule', {
        enumerable: true,
        get: function () {
            return pagination.PaginationModule;
        }
    });
    Object.defineProperty(exports, 'CityPickerComponent', {
        enumerable: true,
        get: function () {
            return picker.CityPickerComponent;
        }
    });
    Object.defineProperty(exports, 'DatePickerComponent', {
        enumerable: true,
        get: function () {
            return picker.DatePickerComponent;
        }
    });
    Object.defineProperty(exports, 'FORMAT', {
        enumerable: true,
        get: function () {
            return picker.FORMAT;
        }
    });
    Object.defineProperty(exports, 'PickerComponent', {
        enumerable: true,
        get: function () {
            return picker.PickerComponent;
        }
    });
    Object.defineProperty(exports, 'PickerConfig', {
        enumerable: true,
        get: function () {
            return picker.PickerConfig;
        }
    });
    Object.defineProperty(exports, 'PickerGroupComponent', {
        enumerable: true,
        get: function () {
            return picker.PickerGroupComponent;
        }
    });
    Object.defineProperty(exports, 'PickerModule', {
        enumerable: true,
        get: function () {
            return picker.PickerModule;
        }
    });
    Object.defineProperty(exports, 'PickerService', {
        enumerable: true,
        get: function () {
            return picker.PickerService;
        }
    });
    Object.defineProperty(exports, 'PopupComponent', {
        enumerable: true,
        get: function () {
            return popup.PopupComponent;
        }
    });
    Object.defineProperty(exports, 'PopupConfig', {
        enumerable: true,
        get: function () {
            return popup.PopupConfig;
        }
    });
    Object.defineProperty(exports, 'PopupModule', {
        enumerable: true,
        get: function () {
            return popup.PopupModule;
        }
    });
    Object.defineProperty(exports, 'ProgressComponent', {
        enumerable: true,
        get: function () {
            return progress.ProgressComponent;
        }
    });
    Object.defineProperty(exports, 'ProgressModule', {
        enumerable: true,
        get: function () {
            return progress.ProgressModule;
        }
    });
    Object.defineProperty(exports, 'PTRComponent', {
        enumerable: true,
        get: function () {
            return ptr.PTRComponent;
        }
    });
    Object.defineProperty(exports, 'PTRConfig', {
        enumerable: true,
        get: function () {
            return ptr.PTRConfig;
        }
    });
    Object.defineProperty(exports, 'PTRModule', {
        enumerable: true,
        get: function () {
            return ptr.PTRModule;
        }
    });
    Object.defineProperty(exports, 'RatingComponent', {
        enumerable: true,
        get: function () {
            return rating.RatingComponent;
        }
    });
    Object.defineProperty(exports, 'RatingConfig', {
        enumerable: true,
        get: function () {
            return rating.RatingConfig;
        }
    });
    Object.defineProperty(exports, 'RatingModule', {
        enumerable: true,
        get: function () {
            return rating.RatingModule;
        }
    });
    Object.defineProperty(exports, 'SearchBarComponent', {
        enumerable: true,
        get: function () {
            return searchbar.SearchBarComponent;
        }
    });
    Object.defineProperty(exports, 'SearchBarConfig', {
        enumerable: true,
        get: function () {
            return searchbar.SearchBarConfig;
        }
    });
    Object.defineProperty(exports, 'SearchBarModule', {
        enumerable: true,
        get: function () {
            return searchbar.SearchBarModule;
        }
    });
    Object.defineProperty(exports, 'CloseSidebarDirective', {
        enumerable: true,
        get: function () {
            return sidebar.CloseSidebarDirective;
        }
    });
    Object.defineProperty(exports, 'SidebarComponent', {
        enumerable: true,
        get: function () {
            return sidebar.SidebarComponent;
        }
    });
    Object.defineProperty(exports, 'SidebarConfig', {
        enumerable: true,
        get: function () {
            return sidebar.SidebarConfig;
        }
    });
    Object.defineProperty(exports, 'SidebarContainerComponent', {
        enumerable: true,
        get: function () {
            return sidebar.SidebarContainerComponent;
        }
    });
    Object.defineProperty(exports, 'SidebarModule', {
        enumerable: true,
        get: function () {
            return sidebar.SidebarModule;
        }
    });
    Object.defineProperty(exports, 'SidebarService', {
        enumerable: true,
        get: function () {
            return sidebar.SidebarService;
        }
    });
    Object.defineProperty(exports, 'SliderDirective', {
        enumerable: true,
        get: function () {
            return slider.SliderDirective;
        }
    });
    Object.defineProperty(exports, 'SliderModule', {
        enumerable: true,
        get: function () {
            return slider.SliderModule;
        }
    });
    Object.defineProperty(exports, 'StepperComponent', {
        enumerable: true,
        get: function () {
            return stepper.StepperComponent;
        }
    });
    Object.defineProperty(exports, 'StepperModule', {
        enumerable: true,
        get: function () {
            return stepper.StepperModule;
        }
    });
    Object.defineProperty(exports, 'SwiperComponent', {
        enumerable: true,
        get: function () {
            return swiper.SwiperComponent;
        }
    });
    Object.defineProperty(exports, 'SwiperConfig', {
        enumerable: true,
        get: function () {
            return swiper.SwiperConfig;
        }
    });
    Object.defineProperty(exports, 'SwiperModule', {
        enumerable: true,
        get: function () {
            return swiper.SwiperModule;
        }
    });
    Object.defineProperty(exports, 'BarComponent', {
        enumerable: true,
        get: function () {
            return tab.BarComponent;
        }
    });
    Object.defineProperty(exports, 'NavbarComponent', {
        enumerable: true,
        get: function () {
            return tab.NavbarComponent;
        }
    });
    Object.defineProperty(exports, 'TabDirective', {
        enumerable: true,
        get: function () {
            return tab.TabDirective;
        }
    });
    Object.defineProperty(exports, 'TabModule', {
        enumerable: true,
        get: function () {
            return tab.TabModule;
        }
    });
    Object.defineProperty(exports, 'TabbarComponent', {
        enumerable: true,
        get: function () {
            return tab.TabbarComponent;
        }
    });
    Object.defineProperty(exports, 'ToastComponent', {
        enumerable: true,
        get: function () {
            return toast.ToastComponent;
        }
    });
    Object.defineProperty(exports, 'ToastConfig', {
        enumerable: true,
        get: function () {
            return toast.ToastConfig;
        }
    });
    Object.defineProperty(exports, 'ToastModule', {
        enumerable: true,
        get: function () {
            return toast.ToastModule;
        }
    });
    Object.defineProperty(exports, 'ToastService', {
        enumerable: true,
        get: function () {
            return toast.ToastService;
        }
    });
    Object.defineProperty(exports, 'ToptipsComponent', {
        enumerable: true,
        get: function () {
            return toptips.ToptipsComponent;
        }
    });
    Object.defineProperty(exports, 'ToptipsModule', {
        enumerable: true,
        get: function () {
            return toptips.ToptipsModule;
        }
    });
    Object.defineProperty(exports, 'ToptipsService', {
        enumerable: true,
        get: function () {
            return toptips.ToptipsService;
        }
    });
    Object.defineProperty(exports, 'FileItem', {
        enumerable: true,
        get: function () {
            return uploader.FileItem;
        }
    });
    Object.defineProperty(exports, 'FileLikeObject', {
        enumerable: true,
        get: function () {
            return uploader.FileLikeObject;
        }
    });
    Object.defineProperty(exports, 'FileThumbDirective', {
        enumerable: true,
        get: function () {
            return uploader.FileThumbDirective;
        }
    });
    Object.defineProperty(exports, 'FileType', {
        enumerable: true,
        get: function () {
            return uploader.FileType;
        }
    });
    Object.defineProperty(exports, 'Uploader', {
        enumerable: true,
        get: function () {
            return uploader.Uploader;
        }
    });
    Object.defineProperty(exports, 'UploaderConfig', {
        enumerable: true,
        get: function () {
            return uploader.UploaderConfig;
        }
    });
    Object.defineProperty(exports, 'UploaderFileDirective', {
        enumerable: true,
        get: function () {
            return uploader.UploaderFileDirective;
        }
    });
    Object.defineProperty(exports, 'UploaderModule', {
        enumerable: true,
        get: function () {
            return uploader.UploaderModule;
        }
    });
    Object.defineProperty(exports, 'AddOnModule', {
        enumerable: true,
        get: function () {
            return core$1.AddOnModule;
        }
    });
    Object.defineProperty(exports, 'BaseService', {
        enumerable: true,
        get: function () {
            return core$1.BaseService;
        }
    });
    Object.defineProperty(exports, 'InputBoolean', {
        enumerable: true,
        get: function () {
            return core$1.InputBoolean;
        }
    });
    Object.defineProperty(exports, 'InputNumber', {
        enumerable: true,
        get: function () {
            return core$1.InputNumber;
        }
    });
    Object.defineProperty(exports, 'LoaderService', {
        enumerable: true,
        get: function () {
            return core$1.LoaderService;
        }
    });
    Object.defineProperty(exports, 'StringTemplateOutletDirective', {
        enumerable: true,
        get: function () {
            return core$1.StringTemplateOutletDirective;
        }
    });
    Object.defineProperty(exports, 'UpdateHostClassService', {
        enumerable: true,
        get: function () {
            return core$1.UpdateHostClassService;
        }
    });
    Object.defineProperty(exports, 'add', {
        enumerable: true,
        get: function () {
            return core$1.add;
        }
    });
    Object.defineProperty(exports, 'findParent', {
        enumerable: true,
        get: function () {
            return core$1.findParent;
        }
    });
    Object.defineProperty(exports, 'genImageUrl', {
        enumerable: true,
        get: function () {
            return core$1.genImageUrl;
        }
    });
    Object.defineProperty(exports, 'isAndroid', {
        enumerable: true,
        get: function () {
            return core$1.isAndroid;
        }
    });
    Object.defineProperty(exports, 'isEmpty', {
        enumerable: true,
        get: function () {
            return core$1.isEmpty;
        }
    });
    Object.defineProperty(exports, 'isIOS', {
        enumerable: true,
        get: function () {
            return core$1.isIOS;
        }
    });
    Object.defineProperty(exports, 'isImage', {
        enumerable: true,
        get: function () {
            return core$1.isImage;
        }
    });
    Object.defineProperty(exports, 'remove', {
        enumerable: true,
        get: function () {
            return core$1.remove;
        }
    });
    Object.defineProperty(exports, 'toBoolean', {
        enumerable: true,
        get: function () {
            return core$1.toBoolean;
        }
    });
    Object.defineProperty(exports, 'toNumber', {
        enumerable: true,
        get: function () {
            return core$1.toNumber;
        }
    });
    exports.VERSION = VERSION;
    exports.WeUiModule = WeUiModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=ngx-weui.umd.js.map
