import { Injectable, defineInjectable, inject, NgModule } from '@angular/core';
import { LoaderService } from 'ngx-weui/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var JWeiXinService = /** @class */ (function () {
    function JWeiXinService(load) {
        this.load = load;
    }
    /**
     * 懒加载jweixin.js
     *
     * @param jweixinUrl 默认：//res.wx.qq.com/open/js/jweixin-1.2.0.js
     */
    /**
     * 懒加载jweixin.js
     *
     * @param {?=} jweixinUrl 默认：//res.wx.qq.com/open/js/jweixin-1.2.0.js
     * @return {?}
     */
    JWeiXinService.prototype.get = /**
     * 懒加载jweixin.js
     *
     * @param {?=} jweixinUrl 默认：//res.wx.qq.com/open/js/jweixin-1.2.0.js
     * @return {?}
     */
    function (jweixinUrl) {
        var _this = this;
        return new Promise((/**
         * @param {?} resolve
         * @return {?}
         */
        function (resolve) {
            _this.load
                .loadScript(jweixinUrl || '//res.wx.qq.com/open/js/jweixin-1.2.0.js')
                .then((/**
             * @param {?} res
             * @return {?}
             */
            function (res) {
                resolve(res.loaded === true);
            }))
                .catch((/**
             * @return {?}
             */
            function () {
                resolve(false);
            }));
        }));
    };
    JWeiXinService.decorators = [
        { type: Injectable, args: [{ providedIn: 'root' },] }
    ];
    /** @nocollapse */
    JWeiXinService.ctorParameters = function () { return [
        { type: LoaderService }
    ]; };
    /** @nocollapse */ JWeiXinService.ngInjectableDef = defineInjectable({ factory: function JWeiXinService_Factory() { return new JWeiXinService(inject(LoaderService)); }, token: JWeiXinService, providedIn: "root" });
    return JWeiXinService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var JWeiXinModule = /** @class */ (function () {
    function JWeiXinModule() {
    }
    JWeiXinModule.decorators = [
        { type: NgModule, args: [{},] }
    ];
    return JWeiXinModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { JWeiXinModule, JWeiXinService };
//# sourceMappingURL=ngx-weui-jweixin.js.map
